
#ifndef FM_FLASH_H_
#define FM_FLASH_H_

#include "ch32v30x.h"
#include "HD_Flash.h"
// #include "w25q256.h"

void Flash_Init(void);
void read_Flash(uint8_t* pBuffer,uint32_t ReadAddr,uint16_t NumByteToRead);
void write_Flash(uint8_t* pBuffer,uint32_t WriteAddr,uint16_t NumByteToWrite);
void erase_Sector_Flash(uint32_t secpos);



#endif